Bug 914926 - Review Request: nodejs-passport-oauth - OAuth 1.0 and 2.0 authentication strategies for Passport
Summary: Review Request: nodejs-passport-oauth - OAuth 1.0 and 2.0 authentication stra...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 914924 914925
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-23 13:15 UTC by Tom Hughes
Modified: 2013-04-14 19:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-07 00:38:08 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-02-23 13:15:12 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-passport-oauth.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-passport-oauth-0.1.14-2.fc18.src.rpm
Fedora Account System Username: tomh

Description:
General-purpose OAuth 1.0 and OAuth 2.0 authentication strategies for
Passport.

This module lets you authenticate using OAuth in your Node.js
applications. By plugging into Passport, OAuth authentication can be
easily and unobtrusively integrated into any application or framework
that supports Connect-style middleware, including Express.

Note that this strategy provides generic OAuth support. In many cases,
a provider-specific strategy can be used instead, which cuts down on
unnecessary configuration, and accommodates any provider-specific
quirks. See the list below for supported providers.

Developers who need to implement authentication against an OAuth
provider that is not already supported are encouraged to sub-class
this strategy. If you choose to open source the new provider-specific
strategy, send me a message and I will update the list.

Comment 1 Jamie Nguyen 2013-03-11 23:00:19 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

The %description has these bits:

"See the list below for supported providers."

"If you choose to open source the new provider-specific
strategy, send me a message and I will update the list."

Both should either be corrected or removed.


[!]: %check is present and all tests pass.

Needs: ln -sf %{nodejs_sitelib} .


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-passport-oauth-0.1.14-2.fc18.noarch.rpm
nodejs-passport-oauth.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-passport-oauth.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
nodejs-passport-oauth.noarch: W: only-non-binary-in-usr-lib
nodejs-passport-oauth.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth/node_modules/oauth /usr/lib/node_modules/oauth
nodejs-passport-oauth.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth/node_modules/passport /usr/lib/node_modules/passport
nodejs-passport-oauth.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth/node_modules/pkginfo /usr/lib/node_modules/pkginfo
1 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
nodejs-passport-oauth (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(oauth)
    npm(passport)
    npm(pkginfo)



Provides
--------
nodejs-passport-oauth:
    nodejs-passport-oauth
    npm(passport-oauth)



MD5-sum check
-------------
http://registry.npmjs.org/passport-oauth/-/passport-oauth-0.1.14.tgz :
  CHECKSUM(SHA256) this package     : ad296451528038e525c3468e84dd2730ff082a753ac198fad6eded703e1a58ea
  CHECKSUM(SHA256) upstream package : ad296451528038e525c3468e84dd2730ff082a753ac198fad6eded703e1a58ea


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review --rpm-spec -n nodejs-passport-oauth-0.1.14-2.fc18.src.rpm

Comment 2 Jamie Nguyen 2013-03-11 23:02:02 UTC
And %check also needs npm(passport) npm(pkginfo) and npm(oath) in BuildRequires.

Comment 4 Jamie Nguyen 2013-03-12 05:52:31 UTC
Excellent. Package approved!

Also, nodejs-0.10.0 is about to hit updates-testing :)

Comment 5 Tom Hughes 2013-03-12 08:16:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-passport-oauth
Short Description: OAuth 1.0 and 2.0 authentication strategies for Passport
Owners: tomh
Branches: f18
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-12 12:45:37 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-03-12 13:36:34 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-3075/carto-0.9.4-1.fc18,nodejs-passport-oauth-0.1.14-3.fc18,nodejs-millstone-0.5.15-1.fc18,nodejs-oauth-0.9.10-1.fc18,nodejs-srs-0.2.20-1.fc18,nodejs-sqlite3-2.1.5-3.fc18,nodejs-zipfile-0.3.4-2.fc18,nodejs-xml2js-0.2.6-2.fc18,nodejs-zap-0.2.5-2.fc18,nodejs-step-0.0.5-1.fc18,nodejs-passport-0.1.16-1.fc18,nodejs-sphericalmercator-1.0.2-1.fc18,nodejs-mapnik-reference-5.0.4-2.fc18,nodejs-chrono-1.0.4-1.fc18

Comment 8 Fedora Update System 2013-03-12 23:28:46 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-srs-0.2.20-1.fc18, nodejs-sqlite3-2.1.5-3.fc18, nodejs-zipfile-0.3.4-2.fc18, nodejs-millstone-0.5.15-1.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-03-15 00:05:18 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-04-07 00:38:10 UTC
nodejs-xml2js-0.2.6-2.fc18, nodejs-oauth-0.9.10-1.fc18, carto-0.9.4-1.fc18, nodejs-passport-oauth-0.1.14-3.fc18, nodejs-millstone-0.5.15-2.fc18, nodejs-srs-0.2.20-2.fc18, nodejs-sqlite3-2.1.5-4.fc18, nodejs-zipfile-0.3.4-3.fc18, nodejs-chrono-1.0.4-1.fc18, nodejs-sphericalmercator-1.0.2-1.fc18, nodejs-mapnik-reference-5.0.4-2.fc18, nodejs-passport-0.1.16-1.fc18, nodejs-step-0.0.5-1.fc18, nodejs-zap-0.2.5-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Tom Hughes 2013-04-14 14:16:45 UTC
Package Change Request
======================
Package Name: nodejs-pasport-oauth
New Branches: f19
Owners: tomh

Comment 12 Gwyn Ciesla 2013-04-14 19:37:04 UTC
Git done (by process-git-requests).

Corrected name in request.


Note You need to log in before you can comment on or make changes to this bug.